<div id="pointbalance" class="user-panel-tab-view mb-4 panelBar">
    <div class="shadow-sm rounded overflow-hidden  bg-white">

        <div class="title-section ">
            <div class="d-flex p-4 border-bottom">
                <div class="p-2">
                    <h5 class="mb-0 ml-2">
                        Point Balance
                    </h5>
                </div>
            </div>
        </div>

        <div class="container mt-4 mb-4">
            <div class="col-lg-10 col-md-12">

                <div class="row point1 bgrow">
                    <div class="col-md-2 mt-4 mb-3">
                        <img src="../../../../assets/imggss/Vector.jpg" alt="">
                    </div>
                    <div class="col-md-7 mt-4 mb-3">
                        <h4 class="f-30 mt-1">
                            <span [innerHtml]="_HelperService._Account.Country.Symbol"></span>
                            {{(_DataService._Balance.Balance | number : '.1-1' )|| '0'}}
                        </h4>
                    </div>
                    <!-- TODO:: Awaiting implementation -->
                    <div class="col-md-3 md-auto mb-3 mt-4">
                        <label class="mt-1 f-20 fw-500 headtwo" (click)="confirmWallet(walletpopup)">
                            Top Up
                            <svg class="ml-2 cursor-pointer" width="29" height="29" viewBox="0 0 29 29" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <g clip-path="url(#clip0_26_9105)">
                                    <rect width="29" height="29" fill="#EFD1E6" />
                                    <path
                                        d="M22.9584 15.7082H15.7084V22.9582H13.2917V15.7082H6.04175V13.2915H13.2917V6.0415H15.7084V13.2915H22.9584V15.7082Z"
                                        fill="#434343" />
                                </g>
                                <defs>
                                    <clipPath id="clip0_26_9105">
                                        <rect width="29" height="29" fill="white" />
                                    </clipPath>
                                </defs>
                            </svg>
                        </label>
                    </div>
                </div>

                <div class="row labelone mt-4">
                    <div class="">
                        <h4 for="" class="f-14 fw-600">History</h4>
                    </div>
                </div>

                <div class="row mt-4 mb-2">

                    <ul class="nav nav-tabs">
                        <li class="nav-item cursor-pointer">
                            <a class="nav-link f-14 active" aria-current="page">Top up</a>
                        </li>
                        <!-- TODO:: Awaiting implementation -->
                        <!-- <li class="cursor-pointer">
                            <a class="nav-link f-14 ">Withdrawal</a>
                        </li> -->
                    </ul>

                </div>

                <div class="row mt-4 ">
                    <table class="table border">
                        <thead>
                            <tr class="text-center">
                                <th scope="col">Date</th>
                                <th scope="col">Time</th>
                                <th scope="col">Amount</th>
                                <th scope="col">Payment Type</th>
                                <th scope="col">Status</th>
                            </tr>
                        </thead>
                        <tbody>

                            <tr class="tablerow text-center" *ngFor="let Item of _DataService._DealsPurchasePoint">
                                <td>
                                    <i class="fa fa-calendar " aria-hidden="true "></i> &nbsp;{{Item.TransactionDate |
                                    date: 'dd-MM-yyyy'}}
                                </td>
                                <td scope="row ">
                                    {{Item.TransactionDate | date: 'shortTime'}}
                                </td>
                                <td class="tablerow_amount">
                                    <i class="fa fa-gift " aria-hidden="true "></i>&nbsp;
                                    <span [innerHtml]="_HelperService._Account.Country.Symbol"></span>
                                    {{Item.TotalAmount}}
                                </td>
                                <td>
                                    {{Item.PaymentMethodName}}
                                </td>
                                <td>
                                    <span class="badge badge-success"
                                        *ngIf="Item.StatusName==='Success'">{{Item.StatusName}}</span>
                                    <span class="badge badge-warning"
                                        *ngIf="Item.StatusName==='Initialized'">{{Item.StatusName}}</span>
                                    <span class="badge badge-secondary"
                                        *ngIf="Item.StatusName==='Pending'">{{Item.StatusName}}</span>
                                    <span class="badge badge-danger"
                                        *ngIf="Item.StatusName==='Failed'">{{Item.StatusName}}</span>
                                    <span class="badge badge-info"
                                        *ngIf="Item.StatusName==='Cancelled'">{{Item.StatusName}}</span>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
</div>



<ng-template #walletpopup let-modal>
    <div class="modal-content tuc-wallet-topup-body" id="pointbalance_topup_modal">
        <button type="button" class="close text-right mt-2" data-dismiss="modal" aria-label="Close"
            (click)="modal.close('Cancel click')">
            <span aria-hidden="true">&times;</span>
            &nbsp;&nbsp;
        </button>

        <div class="modal-body">
            <div class="container mb-4 mt-4">
                <div class="contentlabel text-center">
                    <h4 class="f-20">Top Up wallet</h4>
                    <p class="f-14">Enter topup amount</p>
                </div>
                <div class="fields mt-4 mb-3">
                    <div class="mt-4">
                        <input type="text" name="" id="pointbalanceInput" 
                        class="form-control" 
                        maxlength="6"
                        [(ngModel)]="pointbalanceInput"
                        onpaste="return false;"
                        oninput="if(this.value.indexOf('0') == 0) this.value=this.value.slice(1);"
                        onkeypress="return /[0-9]/i.test(event.key)">
                    </div>
                    <div class="mt-4 border-bottom">
                        Payment Method
                        <div class="float-right text-dark">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="paymentmode" id="paystack"
                                    value="paystack" (change)="toggle($event)">
                                <label class="form-check-label text-dark m-0" for="paystack">
                                    <img src="assets/images/paymentmodes/paystack.png" id="payimg" alt="" height="10px"
                                        width="20px"> &nbsp;
                                    Paystack</label>
                            </div>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="paymentmode" id="flutterwave"
                                    value="flutterwave" (change)="toggle($event)">
                                <label class="form-check-label text-dark m-0" for="flutterwave">
                                    <img src="../../../../assets/images/paymentmodes/flutterwave.webp" alt=""
                                        height="10px" width="24px">
                                    Flutterwave</label>
                            </div>
                        </div>
                    </div>
                    <div class="mt-4">
                        <button class="btn btn-block btnbg" *ngIf="!_HelperService.IsProcessing" (click)="openPaymentGateway()">Top Up Wallet</button>
                        <button class="btn btn-block btnbg" disabled *ngIf="_HelperService.IsProcessing">Please wait...</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>

<div style="display: none;" *ngIf="paymentGateway=='paystack'">
    <button id="paymentbutton" #paymentbutton *ngIf="+pointbalanceInput >= 1 && +pointbalanceInput <= 1000000 "
        angular4-paystack [key]="_HelperService.AppConfig.PayStackKey" [email]="_HelperService._Account.EmailAddress"
        [currency]="_DataService._CountrySelcted.CurrencyNotation" [amount]="(+pointbalanceInput * 100)"
        [class]="'btn btn-primary'" [ref]="_TransactionReference" (onClose)="CancelPayment()"
        (callback)="ProcessOnline_Confirm($event)" data-dismiss="modal">Confirm</button>
</div>